com.independentsoft.exchange

## Class CompleteName

- java.lang.Object
- - com.independentsoft.exchange.CompleteName

-     public class CompleteName
      extends java.lang.Object

  Represents the complete name of a contact.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompleteName()` Initializes a new instance of the CompleteName class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFirstName()` Gets the first name of contact.
    `java.lang.String` | `getFullName()` Gets the full name of a contact.
    `java.lang.String` | `getInitials()` Gets the initials of a contact.
    `java.lang.String` | `getLastName()` Gets the last name of a contact.
    `java.lang.String` | `getMiddleName()` Gets the middle name of a contact.
    `java.lang.String` | `getNickname()` Gets the nickname of a contact.
    `java.lang.String` | `getSuffix()` Gets a suffix to a contact's name.
    `java.lang.String` | `getTitle()` Gets the title of a contact.
    `java.lang.String` | `getYomiFirstName()` Gets the name used in Japan for the searchable or phonetic spelling of a Japanese first name.
    `java.lang.String` | `getYomiLastName()` Gets the name used in Japan for the searchable or phonetic spelling of a Japanese last name.
    `void` | `setFirstName(java.lang.String firstName)` Sets the first name of contact.
    `void` | `setFullName(java.lang.String fullName)` Sets the full name of a contact.
    `void` | `setInitials(java.lang.String initials)` Sets the initials of a contact.
    `void` | `setLastName(java.lang.String lastName)` Sets the last name of a contact.
    `void` | `setMiddleName(java.lang.String middleName)` Sets the middle name of a contact.
    `void` | `setNickname(java.lang.String nickname)` Sets the nickname of a contact.
    `void` | `setSuffix(java.lang.String suffix)` Sets a suffix to a contact's name.
    `void` | `setTitle(java.lang.String title)` Sets the title of a contact.
    `void` | `setYomiFirstName(java.lang.String yomiFirstName)` Sets the name used in Japan for the searchable or phonetic spelling of a Japanese first name.
    `void` | `setYomiLastName(java.lang.String yomiLastName)` Sets the name used in Japan for the searchable or phonetic spelling of a Japanese last name.
    `java.lang.String` | `toString()` Converts the value of the current CompleteName object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompleteName

          public CompleteName()

      Initializes a new instance of the CompleteName class.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current CompleteName object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getTitle

          public java.lang.String getTitle()

      Gets the title of a contact.
      Returns:
        the title

    - #### setTitle

          public void setTitle(java.lang.String title)

      Sets the title of a contact.
      Parameters:
        `title` - the new title

    - #### getFirstName

          public java.lang.String getFirstName()

      Gets the first name of contact.
      Returns:
        the first name

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

      Sets the first name of contact.
      Parameters:
        `firstName` - the new first name

    - #### getMiddleName

          public java.lang.String getMiddleName()

      Gets the middle name of a contact.
      Returns:
        the middle name

    - #### setMiddleName

          public void setMiddleName(java.lang.String middleName)

      Sets the middle name of a contact.
      Parameters:
        `middleName` - the new middle name

    - #### getLastName

          public java.lang.String getLastName()

      Gets the last name of a contact.
      Returns:
        the last name

    - #### setLastName

          public void setLastName(java.lang.String lastName)

      Sets the last name of a contact.
      Parameters:
        `lastName` - the new last name

    - #### getSuffix

          public java.lang.String getSuffix()

      Gets a suffix to a contact's name.
      Returns:
        the suffix

    - #### setSuffix

          public void setSuffix(java.lang.String suffix)

      Sets a suffix to a contact's name.
      Parameters:
        `suffix` - the new suffix

    - #### getInitials

          public java.lang.String getInitials()

      Gets the initials of a contact.
      Returns:
        the initials

    - #### setInitials

          public void setInitials(java.lang.String initials)

      Sets the initials of a contact.
      Parameters:
        `initials` - the new initials

    - #### getFullName

          public java.lang.String getFullName()

      Gets the full name of a contact.
      Returns:
        the full name

    - #### setFullName

          public void setFullName(java.lang.String fullName)

      Sets the full name of a contact.
      Parameters:
        `fullName` - the new full name

    - #### getNickname

          public java.lang.String getNickname()

      Gets the nickname of a contact.
      Returns:
        the nickname

    - #### setNickname

          public void setNickname(java.lang.String nickname)

      Sets the nickname of a contact.
      Parameters:
        `nickname` - the new nickname

    - #### getYomiFirstName

          public java.lang.String getYomiFirstName()

      Gets the name used in Japan for the searchable or phonetic spelling of a Japanese first name.
      Returns:
        the yomi first name

    - #### setYomiFirstName

          public void setYomiFirstName(java.lang.String yomiFirstName)

      Sets the name used in Japan for the searchable or phonetic spelling of a Japanese first name.
      Parameters:
        `yomiFirstName` - the new yomi first name

    - #### getYomiLastName

          public java.lang.String getYomiLastName()

      Gets the name used in Japan for the searchable or phonetic spelling of a Japanese last name.
      Returns:
        the yomi last name

    - #### setYomiLastName

          public void setYomiLastName(java.lang.String yomiLastName)

      Sets the name used in Japan for the searchable or phonetic spelling of a Japanese last name.
      Parameters:
        `yomiLastName` - the new yomi last name